Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# CardMonitor Class Reference

The CardMonitor class provides a widget to monitor CF cards. More...

`#include <cardmon.h>`

List of all member functions.

## Public Members

- CardMonitor ( QWidget * parent = 0 )
- ~CardMonitor ()
- bool getStatus ( void )

## Protected Members

- void paintEvent ( QPaintEvent * )
- void mousePressEvent ( QMouseEvent * )

## Detailed Description

The CardMonitor class provides a widget to monitor CF cards.

The CardMonitor applet is distributed under the terms of the GNU General Public License, Version 2. The CardMonitor applet monitors PCMCIA and CF card insertion and removal. The author and primary copyright holder of the CardMonitor applet is Devin Butterfield.

## Member Function Documentation

### CardMonitor::~CardMonitor ()

### bool CardMonitor::getStatus ( void )

### void CardMonitor::mousePressEvent ( QMouseEvent * )`[protected]`

### void CardMonitor::paintEvent ( QPaintEvent * )`[protected]`

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.